#include <iostream>
#include "methods.h"

int main()
{
    std::srand(std::time(0));
    CreateDataStream();
    CreateDataGenerate();
    std::deque<float> deq = LoadDataStream<std::deque<float>>("Data.txt");
    std::list<float> l = LoadDataStream<std::list<float>>("Data.txt");
    for (const auto& el : l)
        std::cout << el << " ";
    std::cout << std::endl << std::endl;
    std::vector<float> vec = LoadDataIterator<std::vector<float>>("Data.txt");
    for (const auto& el : vec)
        std::cout << el << " ";
    std::cout << std::endl << std::endl;
    std::deque<float> temp_deq = ModifyTemplate(deq);
    for (const auto& el : temp_deq)
        std::cout << el << " ";
    std::vector<float> temp_vec(100);
    ModifyIter(vec.begin(), vec.end(), temp_vec.begin());
    ModifyForEach(vec);
    ModifyTransform("Data.txt", "Data.txt");
    OutputResultStream("Data.txt", temp_deq);
}
